Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface BusinessLifeCycleManager

All Superinterfaces:
  LifeCycleManager

public interface BusinessLifeCycleManager
extends LifeCycleManager

The BusinessLifeCycleManager interface, which is exposed by the Registry Service, implements the life cycle management functionality of the Registry as part of a business level API. Note that there is no authentication information provided, because the Connection interface keeps that state and context on behalf of the client.

Author:
  Farrukh S. Najmi
See Also:
  `LifeCycleManager`

Field Summary

Fields inherited from interface javax.xml.registry.LifeCycleManager
`ASSOCIATION, AUDITABLE_EVENT, CLASSIFICATION, CLASSIFICATION_SCHEME, CONCEPT, EMAIL_ADDRESS, EXTERNAL_IDENTIFIER, EXTERNAL_LINK, EXTRINSIC_OBJECT, INTERNATIONAL_STRING, KEY, LOCALIZED_STRING, ORGANIZATION, PERSON_NAME, POSTAL_ADDRESS, REGISTRY_ENTRY, REGISTRY_PACKAGE, SERVICE, SERVICE_BINDING, SLOT, SPECIFICATION_LINK, TELEPHONE_NUMBER, USER, VERSIONABLE`

Method Summary
`void` | `confirmAssociation(Association assoc)` Confirms this Association by the User associated with the caller.
`BulkResponse` | `deleteAssociations(java.util.Collection associationKeys)` Deletes the Associations corresponding to the specified Keys.
`BulkResponse` | `deleteClassificationSchemes(java.util.Collection schemeKeys)` Deletes the ClassificationSchemes corresponding to the specified Keys.
`BulkResponse` | `deleteConcepts(java.util.Collection conceptKeys)` Deletes the Concepts corresponding to the specified Keys.
`BulkResponse` | `deleteOrganizations(java.util.Collection organizationKeys)` Deletes the organizations corresponding to the specified Keys.
`BulkResponse` | `deleteServiceBindings(java.util.Collection bindingKeys)` Deletes the ServiceBindings corresponding to the specified Keys.
`BulkResponse` | `deleteServices(java.util.Collection serviceKeys)` Deletes the services corresponding to the specified Keys.
`BulkResponse` | `saveAssociations(java.util.Collection associations, boolean replace)` Saves the specified Association instances.
`BulkResponse` | `saveClassificationSchemes(java.util.Collection schemes)` Saves the specified ClassificationScheme instances.
`BulkResponse` | `saveConcepts(java.util.Collection concepts)` Saves the specified Concepts.
`BulkResponse` | `saveOrganizations(java.util.Collection organizations)` Saves the specified Organizations.
`BulkResponse` | `saveServiceBindings(java.util.Collection bindings)` Saves the specified ServiceBindings.
`BulkResponse` | `saveServices(java.util.Collection services)` Saves the specified Services.
`void` | `unConfirmAssociation(Association assoc)` Undoes a previous confirmation of this Association by the User associated with the caller.

Methods inherited from interface javax.xml.registry.LifeCycleManager
`createAssociation, createClassification, createClassification, createClassification, createClassificationScheme, createClassificationScheme, createClassificationScheme, createConcept, createConcept, createEmailAddress, createEmailAddress, createExternalIdentifier, createExternalIdentifier, createExternalLink, createExternalLink, createExtrinsicObject, createInternationalString, createInternationalString, createInternationalString, createKey, createLocalizedString, createLocalizedString, createObject, createOrganization, createOrganization, createPersonName, createPersonName, createPostalAddress, createRegistryPackage, createRegistryPackage, createService, createService, createServiceBinding, createSlot, createSlot, createSpecificationLink, createTelephoneNumber, createUser, deleteObjects, deleteObjects, deprecateObjects, getRegistryService, saveObjects, unDeprecateObjects`

Method Detail

### saveOrganizations

    public BulkResponse saveOrganizations(java.util.Collection organizations)
                                   throws JAXRException

  Saves the specified Organizations.

  If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

  Partial commits are allowed. Processing stops on first SaveException encountered.

  Capability Level: 0

  Parameters:
    `organizations` - the Collection of Organization objects to be saved
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### saveServices

    public BulkResponse saveServices(java.util.Collection services)
                              throws JAXRException

  Saves the specified Services.

  If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

  Partial commits are allowed. Processing stops on first SaveException encountered.

  Capability Level: 0

  Parameters:
    `services` - the Collection of Service objects to be saved
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### saveServiceBindings

    public BulkResponse saveServiceBindings(java.util.Collection bindings)
                                     throws JAXRException

  Saves the specified ServiceBindings.

  If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

  Partial commits are allowed. Processing stops on first SaveException encountered.

  Capability Level: 0

  Parameters:
    `bindings` - the Collection of ServiceBinding objects to be saved
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### saveConcepts

    public BulkResponse saveConcepts(java.util.Collection concepts)
                              throws JAXRException

  Saves the specified Concepts.

  If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

  Partial commits are allowed. Processing stops on first SaveException encountered.

  Capability Level: 0

  Parameters:
    `concepts` - the Collection of Concept objects to be saved
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### saveClassificationSchemes

    public BulkResponse saveClassificationSchemes(java.util.Collection schemes)
                                           throws JAXRException

  Saves the specified ClassificationScheme instances.

  If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

  Partial commits are allowed. Processing stops on first SaveException encountered.

  Capability Level: 0

  Parameters:
    `schemes` - the Collection of ClassificationScheme objects to be saved
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### saveAssociations

    public BulkResponse saveAssociations(java.util.Collection associations,
                                         boolean replace)
                                  throws JAXRException

  Saves the specified Association instances.

  If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

  Partial commits are allowed. Processing stops on first SaveException encountered.

  Capability Level: 0

  Parameters:
    `associations` - the Collection of Association objects to be saved
    `replace` - If set to true, the specified associations replace any existing associations owned by the caller. If set to false, the specified associations are saved, while any existing associations not being updated by this call are preserved.
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### deleteOrganizations

    public BulkResponse deleteOrganizations(java.util.Collection organizationKeys)
                                     throws JAXRException

  Deletes the organizations corresponding to the specified Keys.

  Partial commits are allowed. Processing stops on first DeleteException encountered.

  Capability Level: 0

  Parameters:
    `organizationKeys` - the Collection of keys for the Organization objects to be deleted
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### deleteServices

    public BulkResponse deleteServices(java.util.Collection serviceKeys)
                                throws JAXRException

  Deletes the services corresponding to the specified Keys.

  Partial commits are allowed. Processing stops on first DeleteException encountered.

  Capability Level: 0

  Parameters:
    `serviceKeys` - the Collection of keys for the Service objects to be deleted
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### deleteServiceBindings

    public BulkResponse deleteServiceBindings(java.util.Collection bindingKeys)
                                       throws JAXRException

  Deletes the ServiceBindings corresponding to the specified Keys.

  Partial commits are allowed. Processing stops on first DeleteException encountered.

  Capability Level: 0

  Parameters:
    `bindingKeys` - the Collection of keys for the ServiceBinding objects to be deleted
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### deleteConcepts

    public BulkResponse deleteConcepts(java.util.Collection conceptKeys)
                                throws JAXRException

  Deletes the Concepts corresponding to the specified Keys.

  Partial commits are allowed. Processing stops on first DeleteException encountered.

  Capability Level: 0

  Parameters:
    `conceptKeys` - the Collection of keys for the Concept objects to be deleted
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### deleteClassificationSchemes

    public BulkResponse deleteClassificationSchemes(java.util.Collection schemeKeys)
                                             throws JAXRException

  Deletes the ClassificationSchemes corresponding to the specified Keys.

  Partial commits are allowed. Processing stops on first DeleteException encountered.

  Capability Level: 0

  Parameters:
    `schemeKeys` - the Collection of keys for the ClassificationScheme objects to be deleted
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### deleteAssociations

    public BulkResponse deleteAssociations(java.util.Collection associationKeys)
                                    throws JAXRException

  Deletes the Associations corresponding to the specified Keys.

  Partial commits are allowed. Processing stops on first DeleteException encountered.

  Capability Level: 0

  Parameters:
    `associationKeys` - the Collection of keys for the Association objects to be deleted
  Returns:
    a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### confirmAssociation

    public void confirmAssociation(Association assoc)
                            throws JAXRException,
                                   InvalidRequestException

  Confirms this Association by the User associated with the caller. The User must be the owner of the sourceObject or the targetObject in this association.

  - If the Association is intramural, this method does nothing and returns.
  - If the Association is extramural and already confirmed (isConfirmed returns true), this method does nothing and returns.
  - If the Association is extramural and not already confirmed, this method confirms the association for the User associated with the caller.

  The details of confirming an extramural Association are registry-specific. For UDDI and ebXML registries, the registry-specific details are described in the JAXR specification.

  Capability Level: 0

  Parameters:
    `assoc` - the Association object to be confirmed
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error
    `InvalidRequestException` - if the User is not the owner of the sourceObject or the targetObject

### unConfirmAssociation

    public void unConfirmAssociation(Association assoc)
                              throws JAXRException,
                                     InvalidRequestException

  Undoes a previous confirmation of this Association by the User associated with the caller. The User must be the owner of the sourceObject or the targetObject in this association.

  - If the Association is intramural, this method does nothing and returns.
  - If the Association is extramural and already confirmed (isConfirmed returns true), this method unconfirms it for the requestor.
  - If the Association is extramural and not already confirmed, this method does nothing and returns.

  The details of unconfirming an extramural Association are registry-specific. For UDDI and ebXML registries, the registry-specific details are described in the JAXR specification.

  Capability Level: 0

  Parameters:
    `assoc` - the Association object to be unconfirmed
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error
    `InvalidRequestException` - if the User is not the owner of the sourceObject or the targetObject

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.